Page MenuHomeFreeBSD

Change default version of samba to 4.6
ClosedPublic

Authored by antoine on Dec 18 2017, 9:09 AM.

Details

Summary

Change default version of samba to 4.6

Test Plan

Exp-run

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 13639
Build 13861: arc lint + arc unit

Event Timeline

antoine created this revision.Dec 18 2017, 9:09 AM
Herald added 1 blocking reviewer(s): portmgr. · View Herald Transcript
Herald added a subscriber: mat. · View Herald Transcript

I would like to have something committed before 2018Q1 as samba 4.4 reached EoL end of September 2017

mat accepted this revision.Dec 19 2017, 6:02 PM
This revision is now accepted and ready to land.Dec 19 2017, 6:02 PM
mat added a comment.Dec 19 2017, 6:05 PM

The only problem I see with this is that people running pkg upgrade will get an error when upgrading because pkg sees the conflicts, fetches samba44, reinstalls it, and then tries to install samba46, and fails. I had to remove net/samba44 from my repository to have it work.

mat added a comment.Dec 20 2017, 1:24 PM

To reproduce the pkg bug easy. First, with DEFAULT_VERSIONS=samba=4.4, run:

# poudriere bulk net/samba44 net/samba46 net/pecl-smbclient
# pkg install net/pecl-smbclient

Then change DEFAULT_VERSIONS=samba=4.6

# poudriere bulk net/samba44 net/samba46 net/pecl-smbclient
# pkg upgrade

During the upgrade, pkg will fail as described before.

Where i upgrade it seems to work

Checking integrity... done (1 conflicting)

  • samba46-4.6.11 conflicts with samba44-4.4.16 on /usr/local/lib/shared-modules/idmap/autorid.so

Checking integrity... done (0 conflicting)
The following 21 package(s) will be affected (of 0 checked):

Installed packages to be REMOVED:

samba44-4.4.16

New packages to be INSTALLED:

samba46: 4.6.11
cups: 2.2.6
libpaper: 1.1.24.4
avahi-app: 0.6.31_5

...

mat added a comment.Dec 20 2017, 5:01 PM

I have more than one repository (package & base)

This revision was automatically updated to reflect the committed changes.
will added a subscriber: will.Jan 3 2018, 7:27 PM

Hi, @mat experience also bit me, running FreeBSD-head (last update 12/18/2017). The pkg package itself is 1.10.3_1. I do not get a REMOVED section. I only have the FreeBSD repository configured.

Below is a slightly shortened log (can post full log if needed).

Updating FreeBSD repository catalogue...                                         
Fetching meta.txz: 100%    944 B   0.9kB/s    00:01                              
Fetching packagesite.txz: 100%    6 MiB   6.1MB/s    00:01                       
Processing entries: 100%                                                         
                                                                                 
FreeBSD repository update completed. 28678 packages processed.                   
                                                                                 
All repositories are up to date.                                                 
                                                                                 
Updating FreeBSD repository catalogue...                                         
                                                                                 
FreeBSD repository is up to date.                                                
                                                                                 
All repositories are up to date.                                                 
                                                                                 
Checking for upgrades (61 candidates): 100%                                      
Processing candidates (61 candidates): 100%                                      
                                                                                 
The following 65 package(s) will be affected (of 0 checked):                     
                                                                                 
New packages to be INSTALLED:                                                    
        llvm50: 5.0.0_6 [FreeBSD]                                                
        gstreamer1-qt5: 1.2.0_5 [FreeBSD]                                        
        lumina-pdf: 1.4.1 [FreeBSD]                                              
        poppler-qt5: 0.57.0_1 [FreeBSD]                                          
        samba46: 4.6.12 [FreeBSD]                                                
                                                                                 
Installed packages to be UPGRADED:                                               
        xscreensaver: 5.37 -> 5.38 [FreeBSD]                                     
        xfce4-whiskermenu-plugin: 1.7.4 -> 1.7.5 [FreeBSD]                       
        vm-bhyve: 1.1.8 -> 1.1.8_1 [FreeBSD]                                     
        vlc-qt4: 2.2.6_3,4 -> 2.2.8,4 [FreeBSD]                                  
        vim: 8.0.1381 -> 8.0.1427 [FreeBSD]                                      
        transcode: 1.1.7_31 -> 1.1.7_32 [FreeBSD]                                
        tevent: 0.9.34 -> 0.9.34_1 [FreeBSD]                                     
        tdb: 1.3.15,1 -> 1.3.15_1,1 [FreeBSD]                                    
        talloc: 2.1.10 -> 2.1.10_1 [FreeBSD]                                     
        smartmontools: 6.6 -> 6.6_1 [FreeBSD]                                    
        ruby: 2.3.5_1,1 -> 2.4.3,1 [FreeBSD]                                     
        rsync: 3.1.2_7 -> 3.1.2_8 [FreeBSD]                                      
        qt5-webkit: 5.212.0.a2_4 -> 5.212.0.a2_5 [FreeBSD]                       
        python36: 3.6.3 -> 3.6.4 [FreeBSD]                                       
        py36-setuptools: 36.5.0 -> 38.2.5 [FreeBSD]                              
        py27-setuptools: 36.5.0 -> 38.2.5 [FreeBSD]                              
        py27-ipaddress: 1.0.18 -> 1.0.19 [FreeBSD]                               
        protobuf: 3.5.0.1 -> 3.5.1 [FreeBSD]                                     
        p5-libwww: 6.30 -> 6.31 [FreeBSD]                                        
        p5-HTTP-Message: 6.13 -> 6.14 [FreeBSD]                                  
        p5-DateTime-Format-Strptime: 1.74,1 -> 1.75,1 [FreeBSD]                  
        p5-DateTime: 1.44 -> 1.45 [FreeBSD]                                      
        nvidia-driver: 384.90 -> 384.98 [FreeBSD]                                
        node: 9.2.1 -> 9.3.0 [FreeBSD]                                           
        mutt: 1.9.1_1 -> 1.9.2 [FreeBSD]                                         
        mesa-libs: 17.2.4 -> 17.3.1 [FreeBSD]                                    
        mesa-dri: 17.2.4_1 -> 17.3.1_1 [FreeBSD]                                 
        lumina-textedit: 1.3.0 -> 1.4.1 [FreeBSD]                                
        lumina-screenshot: 1.3.0 -> 1.4.1 [FreeBSD]                              
        lumina-mediaplayer: 1.3.0 -> 1.4.1 [FreeBSD]                             
        lumina-fm: 1.3.0 -> 1.4.1 [FreeBSD]                                      
        lumina-fileinfo: 1.3.0 -> 1.4.1 [FreeBSD]                                
        lumina-coreutils: 1.3.0 -> 1.4.1 [FreeBSD]                               
        lumina-core: 1.3.0 -> 1.4.1 [FreeBSD]                                    
        lumina-calculator: 1.3.0 -> 1.4.1 [FreeBSD]                              
        lumina-archiver: 1.3.0 -> 1.4.1 [FreeBSD]                                
        lumina: 1.3.0,3 -> 1.4.1,3 [FreeBSD]                                     
        libx264: 0.148.2795 -> 0.152.2854 [FreeBSD]                              
        libva: 2.0.0 -> 2.0.0_1 [FreeBSD]                                        
        libunistring: 0.9.7 -> 0.9.8 [FreeBSD]                                   
        libnghttp2: 1.28.0 -> 1.29.0 [FreeBSD]                                   
        libffi: 3.2.1_1 -> 3.2.1_2 [FreeBSD]                                     
        libdrm: 2.4.88,1 -> 2.4.89,1 [FreeBSD]                                   
        libassuan: 2.4.3 -> 2.5.1 [FreeBSD]                                      
        libXres: 1.0.7_3 -> 1.2.0 [FreeBSD]                                      
        libXfont: 1.5.2,2 -> 1.5.4,2 [FreeBSD]                                   
        libXcursor: 1.1.14_4 -> 1.1.15 [FreeBSD]                                 
        keepassxc: 2.2.2 -> 2.2.4 [FreeBSD]                                      
        kde-runtime: 16.12.3_6 -> 16.12.3_7 [FreeBSD]                            
        jpeg-turbo: 1.5.2 -> 1.5.3 [FreeBSD]                                     
        harfbuzz-icu: 1.7.2 -> 1.7.4 [FreeBSD]                                   
        harfbuzz: 1.7.2 -> 1.7.4 [FreeBSD]                                       
        gvfs: 1.26.3_6 -> 1.26.3_7 [FreeBSD]                                     
        gnupg: 2.2.3 -> 2.2.4 [FreeBSD]                                          
        firefox: 57.0.2,1 -> 57.0.3,1 [FreeBSD]                                  
        ffmpeg: 3.4.1_1,1 -> 3.4.1_3,1 [FreeBSD]                                 
        faad2: 2.8.6,1 -> 2.8.8,1 [FreeBSD]                                      
        expat: 2.2.1 -> 2.2.5 [FreeBSD]                                          
        chromium: 61.0.3163.100_4 -> 61.0.3163.100_5 [FreeBSD]                   
        ImageMagick: 6.9.9.15,1 -> 6.9.9.28,1 [FreeBSD]                          

Number of packages to be installed: 5                                            
Number of packages to be upgraded: 60                                            
                                                                                 
The process will require 2 GiB more space.                                       
                                                                                 
585 MiB to be downloaded.                                                        
[...]
[65/65] Fetching samba46-4.6.12.txz: 100%   12 MiB   6.1MB/s    00:02            
                                                                                 
Checking integrity... done (1 conflicting)                                       
  - samba46-4.6.12 [FreeBSD] conflicts with samba44-4.4.16 [installed] on /usr/local/lib/shared-modules/idmap/autorid.so
                                                                                 
Checking integrity... done (0 conflicting)                                       
Conflicts with the existing packages have been found.                            
One more solver iteration is needed to resolve them.                             
The following 67 package(s) will be affected (of 0 checked):                     
                                                                                 
New packages to be INSTALLED:                                                    
        gstreamer1-qt5: 1.2.0_5 [FreeBSD]                                        
        poppler-qt5: 0.57.0_1 [FreeBSD]                                          
        llvm50: 5.0.0_6 [FreeBSD]                                                
        lumina-pdf: 1.4.1 [FreeBSD]                                              
        samba46: 4.6.12 [FreeBSD]                                                

Installed packages to be UPGRADED:                                               
        libffi: 3.2.1_1 -> 3.2.1_2 [FreeBSD]                                     
[...]
Number of packages to be installed: 5                                            
Number of packages to be upgraded: 60                                            
                                                                                 
The process will require 2 GiB more space.                                       
                                                                                 
Fetching samba44-4.4.16.txz: 100%   22 MiB  11.6MB/s    00:02                    

[1/67] Upgrading libffi from 3.2.1_1 to 3.2.1_2...                               
[1/67] Extracting libffi-3.2.1_2: 100%                                           
[2/67] Upgrading expat from 2.2.1 to 2.2.5...                                    
[2/67] Extracting expat-2.2.5: 100%                                              
[...]
[37/67] Installing lumina-pdf-1.4.1...                                           
[37/67] Extracting lumina-pdf-1.4.1: 100%                                        
[38/67] Installing samba46-4.6.12...                                             
[38/67] Extracting samba46-4.6.12: 100%                                          
[38/67] Installing samba44-4.4.16...                                             
                                                                                 
pkg: samba44-4.4.16 conflicts with samba46-4.6.12 (installs files into the same place).  Problematic file: /usr/local/bin/cifsdd

I saw something similar. This upgrade first failed because of a samba44 samba46 conflict. Running it again silently removed samba44 (nothing in my scrollback indicates that 4.4 will be removed) and installed 4.6. Not a great user experience.

That said, this update does seem to have fixed the issue that the last one broke where all DVD menus were broken (doesn't seem to be a vlc-specific issue, also appeared in kodi), so it's definitely an improvement!